package com.ningdatech.kqapi.admin.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 窗口对象
 * </p>
 *
 * @author WendyYang
 * @since 2024-04-20
 */
@Data
@TableName("nd_window")
@ApiModel(value = "Window对象")
public class Window implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("窗口名称")
    private String windowName;

    @ApiModelProperty("专区ID")
    private Integer zoneId;

    @ApiModelProperty("专区名称")
    private String zoneName;

    @TableLogic
    private Boolean deleted;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

}
