package com.ningdatech.kqapi.admin.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Tolerate;

import java.time.LocalDateTime;

/**
 * <p>
 * MatterDetailVO
 * </p>
 *
 * @author WendyYang
 * @since 15:48 2024/4/20
 */
@Data
@Builder
public class MatterDetailDTO {

    @Tolerate
    public MatterDetailDTO() {
        // 无参构造
    }

    private Long id;

    @ApiModelProperty("事项名称")
    private String matterName;

    @ApiModelProperty("专区名称")
    private String zoneName;

    @ApiModelProperty("专区ID")
    private Integer zoneId;

    @ApiModelProperty("窗口ID")
    private Integer windowId;

    @ApiModelProperty("窗口名称")
    private String windowName;

    @ApiModelProperty("部门")
    private String department;

    @ApiModelProperty("事项类型")
    private Integer matterType;

    @ApiModelProperty("事项链接")
    private String webApplyUrl;

    @ApiModelProperty("窗口")
    private String window;

    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty("是否在政务中心查到url")
    private Integer hasUrl;

    @ApiModelProperty("服务内容")
    private String serviceContent;

    @ApiModelProperty("服务流程")
    private String serviceProcess;

    @ApiModelProperty("咨询电话")
    private String telephone;

    @ApiModelProperty("服务对象")
    private String serviceObject;

    @ApiModelProperty("是否免费")
    private Boolean free;

    @ApiModelProperty("是否网上缴费")
    private Boolean onlinePay;

    @ApiModelProperty("办理渠道")
    private Integer handleChannel;

    @ApiModelProperty("办理地点")
    private String handleAddress;

    @ApiModelProperty("办理时间")
    private String handleTime;

    @ApiModelProperty("行使层级")
    private String exerciseLevel;

    @ApiModelProperty("实施主体性质")
    private Integer implSubjectNature;

    @ApiModelProperty("特色场景描述")
    private String sceneDesc;

    @ApiModelProperty("宣传资料")
    private String publicityMaterials;

}
