package com.ningdatech.kqapi.common.constant;

import com.ningdatech.kqapi.common.model.ApiResponse;

/**
 * <p>
 * BizConst
 * </p>
 *
 * @author WendyYang
 * @since 11:46 2024/4/20
 */
public class BizConst {

    private BizConst() {
    }

    /**
     * SQL查询一条
     */
    public static final String LIMIT_1 = "limit 1";

    public static final String COOKIE_KEY = "KQ_ZZSFW";


    /**
     * 密码正则：长度8-20位且至少包含大写字母、小写字母、数字或特殊符号中的任意三种
     */
    public static final String REGEX_PASS = "^(?![a-zA-Z]+$)(?![A-Z0-9]+$)(?![A-Z\\W_]+$)(?![a-z0-9]+$)(?![a-z\\W_]+$)(?![0-9\\W_]+$)[a-zA-Z0-9\\W_]{8,20}$";

    public static final String JSON_UTF8 = "application/json;charset=UTF-8";

    public static final ApiResponse<Void> SESSION_EXPIRE = ApiResponse.of(401, "登录已超时，请重新登陆！");

    public static final ApiResponse<Void> UNAUTHENTICATED = ApiResponse.of(401, "用户未登录！");

}
