package com.ningdatech.kqapi.user.model.po;

import com.ningdatech.kqapi.common.constant.BizConst;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

/**
 * <p>
 * ModifyPasswordReq
 * </p>
 *
 * @author WendyYang
 * @since 10:34 2024/4/20
 */
@Data
public class ModifyPasswordReq {

    @ApiModelProperty("用户ID")
    @NotNull(message = "用户ID不能为空")
    private Long userId;

    @ApiModelProperty("密码")
    @NotBlank(message = "密码不能为空")
    @Pattern(regexp = BizConst.REGEX_PASS, message = "请输入6-10位大小写字母或数字")
    private String password;

}
