package com.ningdatech.kqapi.zzsfw.enumeration;

import com.ningdatech.kqapi.common.enumeration.IEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.util.Objects;

/**
 * <p>
 * ItemTypeEnum
 * </p>
 *
 * @author WendyYang
 * @since 15:50 2024/4/22
 */
@Getter
@AllArgsConstructor
public enum ItemTypeEnum implements IEnum {

    /**
     * 事项类型 枚举
     */
    GOV(1, "政府服务"),
    ADDED(2, "增值服务"),
    SPECIAL(3, "特殊服务");

    private final Integer code;
    private final String desc;

    public static ItemTypeEnum match(Integer code) {
        return IEnum.getByCode(ItemTypeEnum.class, code).orElse(null);
    }

}
